<template>
  <Home>
      <template>
          <section class="welcome_sec">
              <div class="container">
                  <div class="row">
                      <div class="col-12">
                          <h1>Our Categories</h1>
                          <div class="welcome_cnt new_contents">Lots of new products and product collections</div>
                      </div>
                  </div>
              </div>
          </section>
      </template>
  </Home>
</template>
<script>
import Home from '~/layouts/home.vue'
import options from '~/assets/options';
export default {
components : {Home},
   async asyncData({$axios,store,error}) {
      let current_host = store.state.front_end_data.domain_id;
      try {
        const home_data = await $axios.$get(`/api/page-detail/home/${current_host}`);
      return {home_data}
      }
      catch(error) {
        console.log(error.response);
      }
  },
  data() {
      return  {
          domain      : this.$store.state.front_end_data.domain, 
      }
  },
  head() {
      return {
          title: `${this.home_data.meta_title} - ${this.domain.name}`,
          script : [
            {
              src: '/front-end/js/google-analytics.js'
            }
          ],
          meta: [
              {
                hid: 'description',
                name: 'description',
                content: `${this.home_data.meta_description}`
              },
              {
                hid: 'og:title',
                name: 'og:title',
                content: `${this.home_data.meta_title}`
              },
              {
                hid: 'og:description',
                name: 'og:description',
                content: `${this.home_data.meta_description}`
              },{
                hid: 'og:type',
                name: 'og:type',
                content: "Website"
              },
              {
                hid: 'og:url',
                name: 'og:url',
                content: this.domain.url + this.$route.fullPath
              },
              {
                hid: 'og:url',
                name: 'og:site_name',
                content: this.domain.name
              },
              {
                hid: 'og:image',
                name: 'og:image',
                content: "/images/logo.png"
              },
              {
                hid: 'name',
                name: 'twitter:card',
                content: "summary_large_image"
              },
              {
                hid: 'name',
                name: 'twitter:title',
                content: `${this.home_data.meta_title}`
              },
              {
                hid: 'name',
                name: 'twitter:description',
                content: `${this.home_data.meta_description}`
              },
              {
                hid: 'name',
                name: 'twitter:image:src',
                content: "/images/logo.png"
              },
              {
                hid: 'name',
                name: 'twitter:site',
                content: this.domain.name
              },
            ],
        }
  },
  mounted() {
  },
}
</script>

